[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Build Failure



Michael Schwendt wrote:

On Fri, 27 May 2005 05:00:07 -0500, Quentin Spencer wrote:



configure is correctly finding the presence of /usr/bin/cln-config, which is in cln-devel, but for some reason there's a failure. I can't duplicate this on my i386 system. Any ideas on why this might happen? Is there any way to get at the config.log file mentioned in the error message?




$ cln-config --libs
-L/usr/lib -lcln -lgmp

$ rpm -qR cln-devel
/bin/sh /bin/sh /bin/sh cln = 1.1.9-2.fc4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


Looks like it's missing "Requires: gmp-devel" in cln-devel at least.




You were right. The configure script doesn't explicitly check for gmp-devel anywhere, but the CLN check fails if it's not present. Thanks for the insight.



Your fix ought to be different. As pointed out above, package "cln-devel" needs "Requires: gmp-devel". Adding "Buildrequires: gmp-devel" to GiNaC.spec is only a work-around. It doesn't fix cln-devel.



I see now. I've fixed this and requested a rebuild. Thanks.

-Quentin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]